To: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
Cc: linux-m68k@lists.linux-m68k.org
Subject: Re: L68K: 2.1.77 is out
References: <Pine.LNX.3.96.980109101046.4577B-100000@mercator.cs.kuleuven.ac.be>
X-Yow: Yow!  Am I having fun yet?
From: Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
Date: 14 Jan 1998 10:41:11 +0100
Sender: owner-linux-m68k@phil.uni-sb.de

Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be> writes:

|> On Fri, 9 Jan 1998, Ola Nystrom wrote:
|> > On Thu, 8 Jan 1998, Jes Sorensen wrote:
|> > > 2.1.77 is out - you know where to find it.
|> > 
|> > Hmm, where did the Cybervision64/3D support go? I thought I saw that in
|> > Geerts last (huge) posting..

|> Here it is, combined with some other things:

And here is a patch that fixes the nesting of conditionals in the
makefile:

--- drivers/char/Makefile.~2~	Mon Jan 12 20:29:50 1998
+++ drivers/char/Makefile	Mon Jan 12 20:32:32 1998
@@ -38,13 +38,13 @@
   endif
 endif
 
+endif
+
 ifdef CONFIG_FB
 LX_OBJS += fbmem.o
 endif
 
-ifdef CONFIG_MAGIC_SYSRQ
-L_OBJS += sysrq.o
-endif
+ifeq ($(ARCH),m68k)
 
 ifeq ($(CONFIG_AMIGA_GSP),y)
 M = y
@@ -158,7 +158,7 @@
   endif
 endif
 
-else
+else # !m68k
 
 ifeq ($(CONFIG_SERIAL),y)
   ifndef CONFIG_SUN_SERIAL
@@ -179,6 +179,10 @@
 
 ifneq ($(ARCH),m68k)
 L_OBJS += pc_keyb.o
+endif
+
+ifdef CONFIG_MAGIC_SYSRQ
+L_OBJS += sysrq.o
 endif
 
 ifdef CONFIG_AMIGA

-- 
Andreas Schwab                                      "And now for something
schwab@issan.informatik.uni-dortmund.de              completely different"
schwab@gnu.org
